Name: raidtools
Version: 1.00.3
Release: alt2
License: GPL
Group: System/Kernel and hardware
Summary: Tools for creating and maintaining software RAID devices.
Summary(ru_RU.KOI8-R):       RAID 

Requires: dev >= 3.0.6-ipl4mdk 
Obsoletes: md, md-tools
Conflicts: kernel < 2.2

URL:	http://people.redhat.com/mingo/raidtools/
Source: ftp://people.redhat.org/migno/%name-%version.tar.gz
Patch:	%{name}-1.00.3-gcc3.patch

BuildRequires: autoconf libpopt-devel libpopt-devel-static
BuildPrereq: kernel24-headers

%description
The raidtools package includes the tools you need to set up and
maintain a software RAID device (using two or more disk drives in
combination for fault tolerance and improved performance) on a Linux
system. It only works with Linux 2.2 kernels and later, or with a 2.0
kernel specifically patched with newer RAID support.

Install raidtools if you need to set up RAID on your system.

%prep
%setup -q
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./autogen.sh
%make

%install
%make_install ROOTDIR=$RPM_BUILD_ROOT install_bin install_doc

%files
/sbin/*
%_mandir/man?/*
%doc README *.sample

%changelog
* Sun Feb 06 2005 Dimitry V. Ketov <dketov@altlinux.ru> 1.00.3-alt2
- gcc3.x build fix

* Tue Jul 27 2004 Dimitry V. Ketov <dketov@altlinux.ru> 1.00.3-alt1
- Updated to 1.00.3

* Sun Oct 13 2002 Rider <rider@altlinux.ru> 0.90-ipl11mdk
- Russian summary
- rebuild (gcc 3.2)

* Mon Apr 15 2002 Rider <rider@altlinux.ru> 0.90-ipl10mdk
- rebuild

* Fri Jan 19 2001 Dmitry V. Levin <ldv@fandra.org> 0.90-ipl9mdk
- Merged RH patches.
- RE adaptions.

* Fri Jul 28 2000 Francis Galiegue <fg@mandrakesoft.com> 0.90-9mdk
- BMacros
- little spec file changes

* Thu Mar 16 2000 Francis Galiegue <francis@mandrakesoft.com> 0.90-8mdk
- Changed group to match 7.1 specs
- Some spec file changes

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 19990803.

* Thu Sep 23 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Fix Conflicts: (rpm's being an ass, i commented it out)

* Thu Sep 09 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 19990824

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Tue Apr 06 1999 Cristian Gafton <gafton@redhat.com>
- updated sources from mingo

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Mon Feb 08 1999 Erik Troan <ewt@redhat.com>
- updated to 0.90 19980128

* Mon Oct 12 1998 Erik Troan <ewt@redhat.com>
- backrev'd to 0.50beta10 (which works with old md)
- patched to actually work with old level md support

* Fri Oct 09 1998 Cristian Gafton <gafton@redhat.com>
- put some real Summary and description fields
- obsoletes the md and md-tools package that are floating around on the net

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- tweak description/summary for uniqueness.

* Wed Sep 16 1998 Jeff Johnson <jbj@redhat.com>
- repackage for RH 5.2.
